<?php

$ABS_PATH = dirname(__FILE__);
include_once $ABS_PATH.'/settings.php';
include_once $ABS_PATH.'/db.inc.php';
include_once $ABS_PATH.'/login.inc.php';

sec_session_start();

function sqlGetEvents($p_date) {
	global $dbConn, $cfg;

    $user_id = $_SESSION['user_id'];
    $stmt = $dbConn->prepare("SELECT * from ".$cfg['DB_TABLE_EVENTS']." WHERE date = :date");
	$stmt->bindParam(':date', $p_date);
    $stmt->execute();   // Execute the prepared query.
		
	while ( $row = $stmt->fetch( PDO::FETCH_ASSOC ) ){
		$res[] = $row;
	}
	
	return $res;
}

function sqlGetMyEvents() {
	global $dbConn, $cfg;

    $user_id = $_SESSION['user_id'];
	$access_level = $_SESSION['access_level'];
	
	if($access_level == 'admin') {
		$stmt = $dbConn->prepare("SELECT * from ".$cfg['DB_TABLE_EVENTS']." ORDER BY user_id, date, time");
	}
	else {
		$stmt = $dbConn->prepare("SELECT * from ".$cfg['DB_TABLE_EVENTS']." WHERE user_id = :user_id ORDER BY user_id, date, time");
	}
	
	$stmt->bindParam(':user_id', $user_id);
    $stmt->execute();   // Execute the prepared query.
		
	while ( $row = $stmt->fetch( PDO::FETCH_ASSOC ) ){
		$res[] = $row;
	}
	
	return $res;
}

function sqlInsEvent($room, $date, $time, $notiz) {
	global $dbConn, $cfg;
	$user_id = $_SESSION['user_id'];
		
		// Insert the new user into the database 
        if ($insert_stmt = $dbConn->prepare("INSERT INTO ".$cfg['DB_TABLE_EVENTS']." (room, user_id, date, time, note)
														  VALUES (:room, :user_id, :date, :time, :note)")) {
			$insert_stmt->bindParam(':room', $room);
			$insert_stmt->bindParam(':user_id', $user_id);
			$insert_stmt->bindParam(':date', $date);
			$insert_stmt->bindParam(':time', $time);
			$insert_stmt->bindParam(':note', $notiz);

            // Execute the prepared query.
            if (! $insert_stmt->execute()) {
				return $cfg['SQL_ERROR'];
            }
			else {
				return "OK";
			}
        }
		else {
			return $cfg['SQL_ERROR'];
		}
}

function sqlDelEventAsAdmin($room, $date, $time) {

	global $dbConn, $cfg;
	$user_id = $_SESSION['user_id'];
		
		$dbDateFormat = substr($date,0,4)."-".substr($date,4,2)."-".substr($date,6,2);		
		
		// Insert the new user into the database 
        if ($stmt = $dbConn->prepare("DELETE FROM ".$cfg['DB_TABLE_EVENTS']."
											 WHERE room = :room
												   AND date = :date
												   AND time = :time")) {
			$stmt->bindParam(':room', $room);
			$stmt->bindParam(':date', $dbDateFormat);
			$stmt->bindParam(':time', $time);

            // Execute the prepared query.
            if (! $stmt->execute()) {
				return $cfg['SQL_ERROR'];
            }
			else {
				return "OK";
			}
        }
		else {
			return $cfg['SQL_ERROR'];
		}
}

function sqlDelEventAsUser($room, $date, $time) {

	global $dbConn, $cfg;
	$user_id = $_SESSION['user_id'];
		
		$dbDateFormat = substr($date,0,4)."-".substr($date,4,2)."-".substr($date,6,2);		
		
		// Insert the new user into the database 
        if ($stmt = $dbConn->prepare("DELETE FROM ".$cfg['DB_TABLE_EVENTS']."
											 WHERE user_id = :user_id
												   AND room = :room
												   AND date = :date
												   AND time = :time")) {
			$stmt->bindParam(':room', $room);
			$stmt->bindParam(':user_id', $user_id);
			$stmt->bindParam(':date', $dbDateFormat);
			$stmt->bindParam(':time', $time);

            // Execute the prepared query.
            if (! $stmt->execute()) {
				return $cfg['SQL_ERROR'];
            }
			else {
				return "OK";
			}
        }
		else {
			return $cfg['SQL_ERROR'];
		}
}

?>