$(function () {

		/* Datetimepicker Definition */
		moment.locale('de', {
		  week: { dow: 1 } // Monday is the first day of the week
		});
				
		$(document).ready(function() {
        $('#datetimepicker').datetimepicker({
				viewMode: 'days',
				format: 'DD.MM.YYYY',
				useCurrent: false,
				locale: 'de',
				ignoreReadonly: true
            });
		
		
		var iMonths = 6; //or whatever offset
		
		var minDate = (new Date()).setHours(0);
		var maxDate = (new Date()).setMonth((new Date()).getMonth() + iMonths);

		$dpt = $('#datetimepicker').data("DateTimePicker");
		//$dpt.minDate(convertDate(minDate, 'DD.MM.YYYY'));
		$dpt.maxDate(convertDate(maxDate, 'DD.MM.YYYY'));
		$dpt.defaultDate(moment());
		var selectedDate = new Date($dpt.viewDate());
		$("#showdate").text(convertDate(selectedDate, 'DAY, DD.MM.YYYY'));
		
		var currentDate = new Date($dpt.viewDate());
		getEvents(convertDate(currentDate, 'YYYYMMDD'));

		$('#datetimepicker').on('dp.change', function(e) {
			var selectedDate = new Date($dpt.viewDate());
			getEvents(convertDate(selectedDate, 'YYYYMMDD'));
			$("#showdate").text(convertDate(selectedDate, 'DAY, DD.MM.YYYY'));
		});
		   
		$('#dtp-left').click(function(){
				var selectedDate = new Date($dpt.viewDate());
				var newDate = selectedDate.setDate(selectedDate.getDate() -1);
			
				setDptDate(newDate);
           });
		$('#dtp-right').click(function(){
			   var selectedDate = new Date($dpt.viewDate());
			   var newDate = selectedDate.setDate(selectedDate.getDate() + 1);
				
			   setDptDate(newDate);
           });  
	    });
    });
	
	function setDptDate(pDate) {
		$('#datetimepicker').data("DateTimePicker").date(convertDate(pDate, 'DD.MM.YYYY'));
		
		// Refresh calendar
		selectedDate = new Date($dpt.viewDate());
		getEvents(convertDate(selectedDate, 'YYYYMMDD'));
		
		$("#showdate").text(convertDate(selectedDate, 'DAY, DD.MM.YYYY'));
	}
	
	function convertDate(pDate, format) {
	
		var dout = Date.parse(pDate);
		
		if(isNaN(dout)){
			var dout = new Date(pDate);
		}
		else {
			var dout = pDate;
		}
		
		var days = ['Sonntag', 'Montag','Dienstag','Mittwoch','Donnerstag','Freitag','Samstag'];

		var dayName    = days[dout.getDay()];
		var day    = ("0" + dout.getDate()).slice(-2);
		var month  = ("0" + (dout.getMonth() + 1)).slice(-2);
		var year  = dout.getFullYear();
		
		if(format == 'DAY, DD.MM.YYYY') {
			newDate = dayName + ', ' +day +  '.' + month +  '.' + year;
		}
		
		if(format == 'DD.MM.YYYY') {
			newDate = day +  '.' + month +  '.' + year;
		}
		
		if(format == 'YYYYMMDD') {
			newDate = year +  '' + month +  '' + day;
		}
		
		return newDate;
	}