$('document').ready(function()
{
	/* event form insert validation */
	$("#event-form").validate({
		rules:
		{
			date: {
			required: true,
			},
			room: {
            required: true,
            },
			from_time: {
            required: true,
            },
			to_time: {
            required: true,
            },
		},
		messages:
		{
            date:{
                      required: "please enter your date"
                     },
            room: "please enter your room",
		},
		submitHandler: submitEvent
	});
	
	/* event form delete validation */
	$("#event-delete-form").validate({
		rules:
		{
			date: {
			required: true,
			},
			room: {
            required: true,
            },
			from_time: {
            required: true,
            },
			to_time: {
            required: true,
            },
		},
		messages:
		{
            date:{
                      required: "please enter your date"
                     },
            room: "please enter your room",
		},
		submitHandler: submitEventDelete
	});
	
	/* Event */
	function submitEvent()
	{
		submitEventForm("event", "#event-form", REL_PATH+"event.insert.php", "POST", "#event-error");
	}
	
	function submitEventDelete()
	{
		submitEventForm("event-delete", "#event-delete-form", REL_PATH+"event.delete.php", "POST", "#event-delete-error");
	}
	
	/* Submit form */
	function submitEventForm(divId, form, url, method, errorElement)
	{
		var data = $(form).serialize();
		
		$.ajax({
				
			type : method,
			url  : url,
			data : data,
			beforeSend: function()
			{	
				$(errorElement).fadeOut();
				$(errorElement).html('');
			},
			success :  function(response)
			   {
					if(response=="OK"){
						var divContainer = document.getElementById(divId);
						showElement(divContainer, false);
						var currentDate = new Date($('#datetimepicker').data("DateTimePicker").viewDate());
						getEvents(convertDate(currentDate, 'YYYYMMDD'));
						getPage('frm.close');
					}
					else{
						$(errorElement).fadeIn(1000, function(){						
							$(errorElement).html('<div class="alert alert-danger"> <span class="glyphicon glyphicon-info-sign"></span> &nbsp; '+response+'</div>');
						});
					}
			  },
			  error: function() {
				alert('ajax error' + divId);
			  }
		});
		return false;
	}
});

	function setEventValues(pdate, proom, ptime, ptimeto){		
			
			var date = document.getElementById('date');
			if(date) {
				var myDate = pdate.toString();
				var dtFormat = myDate.substring(6,8) + '.' + myDate.substring(4,6) + '.' + myDate.substring(0,4);
				date.innerHTML = 'Datum: ' + dtFormat;
			}
			
			var idate = document.getElementById('idate');
			if(idate) {
				idate.value = pdate;
			}
			
			var room = document.getElementById('room');
			if(room) {
				room.innerHTML = 'Raum: ' + proom;
			}
			var iroom = document.getElementById('iroom');
			if(iroom) {
				iroom.value = proom;
			}

			var from_time = document.getElementById('from_time');
			if(from_time) {
				from_time.value = ptime;
			}
			
			var to_time = document.getElementById('to_time');
			if(to_time) {
				to_time.value = ptimeto;
			}
			
			var notiz = document.getElementById('notiz');
			if(notiz) {
				notiz.value = '';
			}

			getPage('frm.event');
	}
		
	function setEventDeleteValues(pdate, proom, ptime, pname, pemail, ptel, pnote, plog_time){		
			
			var name = document.getElementById('lnameDel');
			if(name) {
				name.innerHTML = 'Name: ' + pname;
			}
			
			var email = document.getElementById('lemailDel');
			if(email) {
				email.innerHTML = 'E-Mail: ' + pemail;
			}
			
			var tel = document.getElementById('ltelDel');
			if(tel) {
				tel.innerHTML = 'Tel.: ' + ptel;
			}
			
			var note = document.getElementById('lnoteDel');
			if(note) {
				note.innerHTML = 'Notiz: ' + pnote;
			}
			
			var date = document.getElementById('ldateDel');
			if(date) {
				var myDate = pdate.toString();
				var dtFormat = myDate.substring(6,8) + '.' + myDate.substring(4,6) + '.' + myDate.substring(0,4);
				date.innerHTML = 'Datum: ' + dtFormat;
			}
			
			var Timestamp = document.getElementById('lTimestampDel');
			if(Timestamp) {
				var myDate = plog_time.toString();
				var dtFormat = myDate.substring(8,10) + '.' + myDate.substring(5,7) + '.' + myDate.substring(0,4);
				var ttFormat = myDate.substring(11,16);
				Timestamp.innerHTML = 'Gebucht am ' + dtFormat + ' um ' + ttFormat + ' Uhr';
			}
			
			var idate = document.getElementById('idateDel');
			if(idate) {
				idate.value = pdate;
			}
			
			var room = document.getElementById('lroomDel');
			if(room) {
				room.innerHTML = 'Raum: ' + proom;
			}
			var iroom = document.getElementById('iroomDel');
			if(iroom) {
				iroom.value = proom;
			}

			var event = document.getElementById('leventDel');
			if(event) {
				event.innerHTML = 'Termin: ' + ptime + ' Uhr';
			}
			var ievent = document.getElementById('ieventDel');
			if(ievent) {
				ievent.value = ptime;
			}
			
			var log_time = document.getElementById('log_time');
			if(log_time) {
				log_time.value = plog_time;
			}
			
			showForm('event-delete', true);
	}
