function formhash(form, password) {
    // Create a new element input, this will be our hashed password field. 
    var p = document.createElement("input");
	p.name = "p";
	p.type = "hidden";
    //p.setAttribute("type", "hidden");
	
    // Add the new element to our form. 
    form.appendChild(p);
    
	// encrypt password
    p.value = hex_sha512(password.value);
 
    // Make sure the plaintext password doesn't get sent. 
    password.value = "";
 
    // Finally submit the form. 
    form.submit();
}
 
function regformhash(form, uid, email, password, conf) {
     // Check each field has a value
    if (uid.value == ''        || 
          email.value == ''  || 
          password.value == ''       || 
          conf.value == '') {
 
        alert('You must provide all the requested details. Please try again');
        return false;
    }
 
    // Check the username
 
    re = /^\w+$/; 
    if(!re.test(form.username.value)) { 
        alert("Username must contain only letters, numbers and underscores. Please try again"); 
        form.uid.focus();
        return false; 
    }
 
    // Check that the password is sufficiently long (min 6 chars)
    // The check is duplicated below, but this is included to give more
    // specific guidance to the user
    if (password.value.length < 6) {
        alert('Passwords must be at least 6 characters long.  Please try again');
        form.password.focus();
        return false;
    }
 
    // At least one number, one lowercase and one uppercase letter 
    // At least six characters 
 
    var re = /(?=.*\d)(?=.*[a-z])(?=.*[A-Z]).{6,}/; 
    if (!re.test(password.value)) {
        alert('Passwords must contain at least one number, one lowercase and one uppercase letter.  Please try again');
        return false;
    }
 
    // Check password and confirmation are the same
    if (password.value != conf.value) {
        alert('Your password and confirmation do not match. Please try again');
        form.password.focus();
        return false;
    }
 
    // Create a new element input, this will be our hashed password field. 
    var p = document.createElement("input");
 
    // Add the new element to our form. 
    form.appendChild(p);
    p.name = "p";
    p.type = "hidden";
    p.value = hex_sha512(password.value);
 
    // Make sure the plaintext password doesn't get sent. 
    password.value = "";
    conf.value = "";
 
    // Finally submit the form. 
    form.submit();
    return true;
}

function chk_usr_upd(form, uid, email, password, conf) {
     // Check each field has a value
    if (uid.value == ''        || 
          email.value == '') {
 
        alert('You must provide all the requested details. Please try again');
        return false;
    }
 
    // Check the username
 
    re = /^\w+$/; 
    if(!re.test(form.username.value)) { 
        alert("Username must contain only letters, numbers and underscores. Please try again"); 
        form.uid.focus();
        return false; 
    }
 
    // Check that the password is sufficiently long (min 6 chars)
    // The check is duplicated below, but this is included to give more
    // specific guidance to the user
    if(password.value != '')
	{
		if (password.value.length < 6) {
			alert('Passwords must be at least 6 characters long.  Please try again');
			form.password.focus();
			return false;
		}

		// At least one number, one lowercase and one uppercase letter 
		// At least six characters 
	 
		var re = /(?=.*\d)(?=.*[a-z])(?=.*[A-Z]).{6,}/; 
		if (!re.test(password.value)) {
			alert('Passwords must contain at least one number, one lowercase and one uppercase letter.  Please try again');
			return false;
		}
	 
		// Check password and confirmation are the same
		if (password.value != conf.value) {
			alert('Your password and confirmation do not match. Please try again');
			form.password.focus();
			return false;
		}
	}
    // Create a new element input, this will be our hashed password field. 
    var p = document.createElement("input");
 
    // Add the new element to our form. 
    form.appendChild(p);
    p.name = "p";
    p.type = "hidden";
    p.value = hex_sha512(password.value);
 
    // Make sure the plaintext password doesn't get sent. 
    password.value = "";
    conf.value = "";
 
    // Finally submit the form. 
    form.submit();
    return true;
}

function chgpwdformhash(form, old_password, new_password, confirmnewpwd) {
     // Check each field has a value
    if (old_password.value == ''        || 
          new_password.value == ''  ||  
          confirmnewpwd.value == '') {
 
        alert('You must provide all the requested details. Please try again');
        return false;
    }
 
    // Check that the password is sufficiently long (min 6 chars)
    // The check is duplicated below, but this is included to give more
    // specific guidance to the user
    if (new_password.value.length < 6) {
        alert('Passwords must be at least 6 characters long.  Please try again');
        form.new_password.focus();
        return false;
    }
 
    // At least one number, one lowercase and one uppercase letter 
    // At least six characters 
 
    var re = /(?=.*\d)(?=.*[a-z])(?=.*[A-Z]).{6,}/; 
    if (!re.test(new_password.value)) {
        alert('Passwords must contain at least one number, one lowercase and one uppercase letter.  Please try again');
        return false;
    }
 
    // Check password and confirmation are the same
    if (new_password.value != confirmnewpwd.value) {
        alert('Your password and confirmation do not match. Please try again');
        form.new_password.focus();
        return false;
    }
	
	if (old_password.value == new_password.value) {
        alert('You tried to use the old password as a new password. Please try again!');
        form.new_password.focus();
        return false;
    }
 
    // Create a new element input, this will be our hashed password field. 
    var p_old_password = document.createElement("input");
	p_old_password.name = "p_old_password";
    p_old_password.type = "hidden";
	
    // Add the new element to our form. 
    form.appendChild(p_old_password);
    p_old_password.value = hex_sha512(old_password.value);
 
	var p_new_password = document.createElement("input");
	p_new_password.name = "p_new_password";
    p_new_password.type = "hidden";
	
    // Add the new element to our form. 
    form.appendChild(p_new_password);
    p_new_password.value = hex_sha512(new_password.value);
	
	var p_confirmnewpwd = document.createElement("input");
	p_confirmnewpwd.name = "p_confirmnewpwd";
    p_confirmnewpwd.type = "hidden";
	
    // Add the new element to our form. 
    form.appendChild(p_confirmnewpwd);
    p_confirmnewpwd.value = hex_sha512(confirmnewpwd.value);
	
    // Make sure the plaintext password doesn't get sent.
	old_password.value = "";
    new_password.value = "";
    confirmnewpwd.value = "";
 
    // Finally submit the form. 
    form.submit();
    return true;
}