$('document').ready(function()
{
	/* Login form validation */
	$("#login-form").validate({
		focusInvalid: false,
		errorPlacement: function(label, element) {
			label.addClass('errormsg');
			label.insertAfter(element);
		},
		errorElement: "div",
		wrapper: 'div',
		rules:
		{
			password: {
				required: true,
			},
			user_email: {
				required: true,
				email: true
            },
		},
		messages:
		{
            password:{
                      required: "Bitte Passwort eingeben"
                     },
            email:{
                      required: "Bitte E-Mail Adresse eingeben",
					  email: "Ungültige E-Mail Adresse"
                     },
		},
		submitHandler: hashPwdBeforeSubmitLoginForm
	});
	
	/* Registration form validation */
	$("#register-form").validate({
		focusInvalid: false,
		errorPlacement: function(label, element) {
			label.addClass('errormsg');
			label.insertAfter(element);
		},
		errorElement: "div",
		wrapper: 'div',
		rules:
		{
			password: {
			required: true,
			},
			user_email: {
            required: true,
            email: true
            },
			first_name: {
            required: true
            },
			last_name: {
            required: true
            },
			tel: {
            required: true
            },
		},
		messages:
		{
            password:{
                      required: "Bitte Passwort eingeben"
                     },
            user_email: "Bitte E-Mail Adresse eingeben",
			first_name: "Bitte Vorname eingeben",
			last_name: "Bitte Nachname eingeben",
			tel: "Bitte Telefonnummer eingeben",
			confirm: "Bitte folgendes bestätigen:",
		},
		submitHandler: hashPwdBeforeSubmitRegisterForm
	}); 
	
	/* Password change form validation */
	$("#pwdchange-form").validate({
		focusInvalid: false,
		errorPlacement: function(label, element) {
			label.addClass('errormsg');
			label.insertAfter(element);
		},
		errorElement: "div",
		wrapper: 'div',
		rules:
		{
			old_password: {
				required: true,
			},
			new_password: {
				required: true,
			},
			new_password_conf: {
				required: true,
			},
		},
		messages:
		{
            old_password:{
                      required: "Bitte das alte Passwort eingeben"
                     },
            new_password: "Bitte das neue Passwort eingeben",
			new_password_conf: "Bitte das neue Passwort bestätigen",
		},
		submitHandler: hashPwdBeforeSubmitPwdChangeForm
	});
	
	/* Password lost form validation */
	$("#lostpwd-form").validate({
		focusInvalid: false,
		errorPlacement: function(label, element) {
			label.addClass('errormsg');
			label.insertAfter(element);
		},
		errorElement: "div",
		wrapper: 'div',
		rules:
		{
			email: {
				required: true,
				email: true
            },
		},
		messages:
		{
            email:{
                      required: "Bitte E-Mail Adresse eingeben"
                  },
		},
		submitHandler: submitLostPwd
	});
	
	/* Password reset form validation */
	$("#pwdreset-form").validate({
		focusInvalid: false,
		errorPlacement: function(label, element) {
			label.addClass('errormsg');
			label.insertAfter(element);
		},
		errorElement: "div",
		wrapper: 'div',
		rules:
		{
			new_password: {
				required: true,
			},
			new_password_conf: {
				required: true,
			},
		},
		messages:
		{
            new_password: "Bitte das neue Passwort eingeben",
			new_password_conf: "Bitte das neue Passwort bestätigen",
		},
		submitHandler: submitPwdReset
	});
	
	
	/* Hash Pwd before submit Login Form */
	function hashPwdBeforeSubmitLoginForm()
	{
		$(function(){
				hashPwd('login-form', 'password').then(function(){
					submitForm("login", "#login-form", REL_PATH+"process_login.php", "POST", "#login-error");
				});
			});
	}

	/* Hash Pwd before submit registration Form */
	function hashPwdBeforeSubmitRegisterForm()
	{
		$(function(){
				hashPwd('register-form', 'password').then(function(){
					submitForm("register", "#register-form",  REL_PATH+"process_registration.php", "POST", "#register-error");
				});
			});
	}
	
	/* Hash Pwd before submit change pwd Form */
	function hashPwdBeforeSubmitPwdChangeForm()
	{
		$(function(){
				hashChgPwds('pwdchange-form').then(function(){
					submitForm("pwdchange", "#pwdchange-form",  REL_PATH+"process_pwdchange.php", "POST", "#pwdchange-error");
				});
			});
	}
	
	/* submit LostPwd form */
	function submitLostPwd()
	{
		submitForm("lostpwd", "#lostpwd-form",  REL_PATH+"process_lostpwd.php", "POST", "#lostpwd-error");
	}
	
	/* submit LostPwd form */
	function submitPwdReset()
	{
		$(function(){
				hashPwdReset('pwdreset-form').then(function(){
					submitForm("pwdreset", "#pwdreset-form",  REL_PATH+"process_lostpwd.php", "POST", "#pwdreset-error");
				});
			});
	}
	
	/* hash pwd */
	function hashPwd(form, element)
	{
		var dfrd1 = $.Deferred();
		setTimeout(function(){
			// for security reason
			hashElement(form, element);
			dfrd1.resolve();
		}, 1000);
			
		return $.when(dfrd1).done(function(){
		}).promise();
	}
	
	/* hash pwds */
	function hashChgPwds(form, element)
	{
		var dfrd1 = $.Deferred();
		setTimeout(function(){
			// for security reason
			hashElement(form, 'old_password');
			hashElement(form, 'new_password');
			hashElement(form, 'new_password_conf');
			dfrd1.resolve();
		}, 1000);
			
		return $.when(dfrd1).done(function(){
		}).promise();
	}
	
	/* hash pwds reset */
	function hashPwdReset(form, element)
	{
		var dfrd1 = $.Deferred();
		setTimeout(function(){
			// for security reason
			hashElement(form, 'new_password_res');
			hashElement(form, 'new_password_res_conf');
			dfrd1.resolve();
		}, 1000);
			
		return $.when(dfrd1).done(function(){
		}).promise();
	}
});

function hashElement(form, element) {
	var f = document.getElementById(form);
	var el = document.getElementById(element);
	
	if(el) {
		// Create a new element input, this will be our hashed password field. 
		var p = document.createElement("input");
		p.name = element + "Hashed";
		p.type = "hidden";
		//p.setAttribute("type", "hidden");

		// Add the new element to our form. 
		f.appendChild(p);

		// encrypt password
		p.value = hex_sha512(el.value);

		// Make sure the plaintext password doesn't get sent. 
		el.value = "";
		
		// Finally submit the form. 
		//form.submit();
	}
}
